Rated 5 out of 5 stars

Lastpass 2.0.20 stopped working after upgrade to FF 19. I clicked add to FF and it installed. After that it worked again.

This review is for a previous version of the add-on (2.0.0).